Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.custom
Interface RollbackDirectiveParams

All Superinterfaces:
  DirectiveParams, java.io.Serializable

All Known Implementing Classes:
  WCM_RollbackDirectiveParams

    public interface RollbackDirectiveParams

extends DirectiveParams

The `RollbackDirectiveParams` object is used to specify arguments or options to a 'Rollback' Directive.

To create a new `RollbackDirectiveParams` object call `Directives.ROLLBACK_DOCUMENT.createDirectiveParams()` and cast the returned object to `RollbackDirectiveParams`

To use a `RollbackDirectiveParams` object call the `CustomWorkflowActionService.createResult(Directive, String, DirectiveParams)` method instead of `CustomWorkflowActionService.createResult(Directive, String)` to construct the workflow action result.

Since:
  6.1

Method Summary
`java.lang.String` | `getCustomErrorMsg()` Returns the specified custom error message
`void` | `setCustomErrorMsg(java.lang.String customErrorMsg)` Specifies the custom error message that the Rollback Directive should display within the WCM Authoring UI

Method Detail

### setCustomErrorMsg

    void setCustomErrorMsg(java.lang.String customErrorMsg)

  Specifies the custom error message that the Rollback Directive should display within the WCM Authoring UI

  Parameters:
    `customErrorMsg` - the custom error message that the Rollback Directive should display within the WCM Authoring UI

### getCustomErrorMsg

    java.lang.String getCustomErrorMsg()

  Returns the specified custom error message

  Returns:
    the specified custom error message. Can be `Null` if no custom error message has been specified

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD